# $Revision: 1.22 $, $Date: 2004/06/20 14:29:33 $
Summary:	DVD menu support library
Summary(pl):	Biblioteka obsugi menu DVD
Name:		libdvdnav
Version:	0.1.10
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/dvd/%{name}-%{version}.tar.gz
# Source0-md5:	c8ddee96ba1182d73447eaf0bb6fde81
Patch0:		%{name}-opt.patch
URL:		http://dvd.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libdvdread-devel >= 0.9.3
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DVD menu support library.

%description -l pl
Biblioteka obsugi menu DVD.

%package devel
Summary:	Development files for libdvdnav
Summary(pl):	Pliki potrzebne przy tworzeniu aplikacji korzystajcych z libdvdnav
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdvdread-devel

%description devel
Development files for libdvdnav.

%description devel -l pl
Pliki potrzebne przy tworzeniu aplikacji korzystajcych z libdvdnav.

%package static
Summary:	Static libdvdnav library
Summary(pl):	Biblioteka statyczna libdvdnav
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdvdnav library.

%description static -l pl
Biblioteka statyczna libdvdnav.

%prep
%setup -q
%patch -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/dvdnav
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdvdnav.spec,v $
Revision 1.22  2004/06/20 14:29:33  grzegol
- updated to 0.1.10
- strict internal deps

Revision 1.21  2003/11/11 18:53:13  qboosh
- release 2

Revision 1.20  2003/10/15 09:50:25  qboosh
- added opt patch

Revision 1.19  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.18  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/21 09:03:02  trojan
- updated to 0.1.9

Revision 1.16  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.15  2003/04/04 09:03:15  trojan
- updated to 0.1.7

Revision 1.14  2003/02/25 18:25:57  wiget
- release 2
- rebuild with new libdvdread

Revision 1.13  2003/02/04 10:00:25  migo
- devel subpackage requires dvdread-devel

Revision 1.12  2002/11/25 14:16:51  ankry
- massive attack: no need for 755 for *.la

Revision 1.11  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/08/29 14:22:09  qboosh
- BR: libdvdread-devel

Revision 1.9  2002/08/10 23:21:34  marcus
- updated to 0.1.3

Revision 1.8  2002/06/23 15:06:20  jajcus
- fixed (back) automake invocation

Revision 1.7  2002/06/23 12:51:48  jajcus
- Version: 0.1.1

Revision 1.6  2002/05/21 23:13:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/05/07 14:13:50  qboosh
- typo

Revision 1.4  2002/05/02 09:46:29  mkochano
- Removed commented out %%patch0 -p1.

Revision 1.3  2002/05/02 01:54:53  kloczek
- finished.

Revision 1.2  2002/05/01 23:01:33  mkochano
- Release 2.
- Corrected -devel subpackage requirement.

Revision 1.1  2002/05/01 22:58:07  mkochano
- Release 1.
- Version 0.1.
- Initial spec based on template.
